/*
Feladat: 
Egy tvonalon N benzinkt tallhat. 
Ismerjk az egyes benzinkutak tvolsgt, valamint azt, hogy tele tankkal az autnk hny kilomtert tud megtenni (K)! 
Szmold ki, hogy minimum hny helyen kell tankolnunk, s mondd is meg, hogy mely benzinkutaknl! 
*/

#include <iostream>

using namespace std;

const int MAXN = 100;

void beolvasas(int& n, int&k, int tav[]) {
	cerr << "Benzinkutak szama (0.." << MAXN << "), kilometer-korlat::";
    //A bemenetet nem ellenrizzk sem szintaktikai, sem szemantikai szempontbl.
    cin >> n >> k; //1<=N<MaxN,K>0
    tav[0] = 0;
    for (int i = 0; i < n; i++) {
		cerr << i + 2 << ". benzinkut tavolsaga az elozotol:";
		int t;
		cin >> t;
		tav[i + 1] = tav[i] + t;
	}
}

void benzinkut(const int& n, const int& k, int tav[], int& db, int b[]) {
	b[0] = 0;
    db = 1; 
	for (int i = 0; i < n; i++) {
		if (tav[i + 1] - tav[b[db - 1]] > k) {
			b[db++] = i;
		}
	}
}

void kiiras(const int& db, int b[]) {
	cerr << "A tankolasok szama:";
	cout << db; 
    cerr << "A benzinkutak sorszama:"; 
    for (int i = 0; i < db; i++) {
		cout << b[i] + 1 << " ";
	}
    cout << endl;
}

int main() {
	
	int n, k, db, tav[MAXN], b[MAXN];
	
	beolvasas(n, k, tav);
	benzinkut(n, k, tav, db, b);
	kiiras(db, b);
	
	return 0;
	
}