//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;


public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

	static class Input {
        int N;
        int K;
        int[] Tav;
    }

    static class Output {
        int Db;
		int[] B;
    }

    static Input beolvas(IO io) throws IOException {
        Input input = new Input();
        input.N = io.nextInt();
        input.K = io.nextInt();
		input.Tav=new int[input.N+1];
		input.Tav[0]=0;
		for (int i=0;i<input.N;i++) {
			int t=io.nextInt();
			input.Tav[i+1]=input.Tav[i]+t;
		}
        return input;
    }
	
	static void kiir(IO io, Input input, Output output) throws IOException {
		io.writeLn(output.Db);
		for (int i=0;i<output.Db;i++) {
			io.write((output.B[i]+1)+" ");
		}
    }
	
	static Output Benzinkut(Input input) {
		Output output = new Output();
		output.B=new int[input.N];
		output.B[0]=0;
		output.Db=1;
		for (int i=0;i<input.N;i++) {
			if (input.Tav[i+1]-input.Tav[output.B[output.Db-1]]>input.K) {
				output.B[output.Db]=i;
				output.Db++;
			}
		}
		return output;
	}
   
    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Benzinkut(input);

        kiir(io, input, output);

        io.close();
    }

}