Program Filmek_Moho_1;
(*
  Feladat: 
  * Egy útvonalon N benzinkút található. 
  * Ismerjük az egyes benzinkutak távolságát, valamint azt, hogy tele tankkal az autónk hány kilométert tud megtenni (K)! 
  * Számold ki, hogy minimum hány helyen kell tankolnunk, s mondd is meg, hogy mely benzinkutaknál! 
*)
  Const
    MaxN=100;
  Type
    TTavok=Array [0..MaxN] of Integer;//a benzinkutak távolsága a kezdőponttól
    TIndexek=Array [0..MaxN] of Integer;
  Var
    N,K:Integer;
    Tav:TTavok;
    Db:Integer;
    B:TIndexek;//a tankoláshoz kijelölt benzinkutak sorszámai

  Procedure Beolvasas(Var N,K:Integer; Var Tav:TTavok);
    Var
      i,t:integer;
  Begin
    //A felhasználónak szánt tájékoztató üzenetek az StrErr csatornára írandók!
    //Például a kérdések:
    Write(StdErr,'Benzinkutak szama (0..',MaxN,'), kilometer-korlat:');
    //A bemenetet nem ellenőrizzük sem szintaktikai, sem szemantikai szempontból.
    Readln(N,K);//1<=N<MaxN,K>0
    Write(StdErr,1:3,'. benzinkut tavolsaga:'); 
    Tav[1]:=0;
    For i:=1 to N do
    Begin
      Write(StdErr,i+1:3,'. benzinkut tavolsaga az elozotol:'); 
      Read(t); Tav[i+1]:=Tav[i]+t;
    End;
    Writeln(StdErr);
  End;

  Procedure Benzinkut(Const N,K:Integer; Var Tav:TTavok; 
                      Var Db:Integer; Var B:TIndexek);
    Var
      i:Integer;
  Begin
    Db:=1; B[Db]:=1;
    For i:=1 to N do
    Begin
      If Tav[i+1]-Tav[B[Db]]>K then
      Begin
        Inc(Db); B[Db]:=i;
      End;
    End;
  End;

  Procedure Kiiras(Const Db:Integer; Const B:TIndexek);
    Var
      i:Integer;
  Begin
    //A kimenetet kísérő szövegek is az StdErr-re irandók!
    Write(StdErr,'A tankolasok szama:'); Writeln(Db); 
    Write(StdErr,'A benzinkutak sorszama:'); 
    For i:=1 to Db do
    Begin
	  Write(B[i],' ');
    End;
    Writeln(StdErr);
  End;
  
Begin
  Beolvasas(N,K,Tav);
  Benzinkut(N,K,Tav,Db,B);
  Kiiras(Db,B);
End.
