﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
/*
Feladat: 
Egy útvonalon N benzinkút található. 
Ismerjük az egyes benzinkutak távolságát, valamint azt, hogy tele tankkal az autónk hány kilométert tud megtenni (K)! 
Számold ki, hogy minimum hány helyen kell tankolnunk, s mondd is meg, hogy mely benzinkutaknál! 
*/
namespace feladat
{
    class Program
    {
        static void Beolvasás(ref int n, ref int k, int[] táv)
        {
            Console.Error.WriteLine("Írd be a benzinkutak számát és a kilóméter-korlátot (szám korlát):");
            //A bemenetet nem ellenőrizzük sem szintaktikai, sem szemantikai szempontból.
            string sor = Console.ReadLine();
            string[] adatok = sor.Split(' ');
            n = Convert.ToInt32(adatok[0]);
            k = Convert.ToInt32(adatok[1]);
            táv[0] = 0;
            for (int i = 0; i < n; i++)
            {
                Console.Error.WriteLine("Ird be a {0}. benzinkút távolságát az előzőtől",(i+2));
                sor = Console.ReadLine();
                int t = Convert.ToInt32(sor);
                táv[i + 1] = táv[i] + t;
            }
        }

        static void Benzinkút(int n, int k, int[] táv, ref int db, int[] b)
        {
            b[0] = 0;
            db = 1;
            for (int i = 0; i < n; i++)
            {
                if (táv[i + 1] - táv[b[db - 1]] > k)
                {
                    db++;
                    b[db-1] = i;
                }
            }
        }

        static void Kiírás(int db, int[] b)
        {
            Console.Error.Write("A tankolások száma:");
            Console.WriteLine(db);
            Console.Error.WriteLine("A benzinkutak sorszámai:");
            for (int i = 0; i < db; i++)
            {
                Console.Write(b[i] + 1+" ");
            }
            Console.WriteLine();
        }

        static void Main(string[] args)
        {
            //Bemeneti adatok
            const int MaxN = 100;
            int N=0;
            int k=0;
            int[] táv = new int[MaxN];
            //Kieneti adatok
            int db=0;
            int[] b = new int[MaxN];
            //Beolvasás
            Beolvasás(ref N, ref k, táv);
            //Megoldás
            Benzinkút(N, k, táv, ref db, b);
            //Kiírás
            Kiírás(db, b);
        }
    }
}
